import { Base, Type } from "./type";
export declare class Matcher extends Base {
    protected c: RegExp;
    constructor(a: string);
    b(a: string): boolean;
    static a(a: string): boolean;
    static d(a: string): string;
    static $t: Type;
}
